Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.eventbus
Class DeadEvent

    java.lang.Object
      com.google.common.eventbus.DeadEvent

    @Beta
    public class DeadEvent

extends Object

Wraps an event that was posted, but which had no subscribers and thus could not be delivered.

Subscribing a DeadEvent handler is useful for debugging or logging, as it can detect misconfigurations in a system's event distribution.

Since:
  10.0
Author:
  Cliff Biffle

Constructor Summary
`DeadEvent(Object source, Object event)` Creates a new DeadEvent.

Method Summary
`Object` | `getEvent()` Returns the wrapped, 'dead' event, which the system was unable to deliver to any registered handler.
`Object` | `getSource()` Returns the object that originated this event (not the object that originated the wrapped event).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeadEvent

    public DeadEvent(Object source,
                     Object event)

  Creates a new DeadEvent.

  Parameters:
    `source` - object broadcasting the DeadEvent (generally the `EventBus`).
    `event` - the event that could not be delivered.

Method Detail

### getSource

    public Object getSource()

  Returns the object that originated this event (not the object that originated the wrapped event). This is generally an `EventBus`.

  Returns:
    the source of this event.

### getEvent

    public Object getEvent()

  Returns the wrapped, 'dead' event, which the system was unable to deliver to any registered handler.

  Returns:
    the 'dead' event that could not be delivered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.